package imageInference

import "gitlink.org.cn/JointCloud/pcm-coordinator/internal/scheduler/service/inference"

const (
	IMAGETOTEXT        = "image"
	IMAGETOTEXT_AiTYPE = "13"
)

type ImageToText struct {
}

func (it *ImageToText) AppendRoute(urls []*inference.InferUrl) error {
	for i, _ := range urls {
		urls[i].Url = urls[i].Url + inference.FORWARD_SLASH + IMAGETOTEXT
	}
	return nil
}

func (it *ImageToText) GetAiType() string {
	return IMAGETOTEXT_AiTYPE
}
